#include <stdio.h>
#include <math.h>
int min(int a,int b){
    return a<=b?a:b;
}
int max(int a,int b){
    return a>=b?a:b;
}
int br_cf(int a,int b){
    while(a=!0){
        b+=1;
        a/=10;
    }
    return b;
}
int main()
{
    int x,y;
    scanf("%i%i",&x,&y);
    int minimum,maksimum,k=0,m=0;
    minimum=min(x,y);
    maksimum=max(x,y);
    k=br_cf(minimum,k);
    m=br_cf(maksimum,m);
    if(k!=m){
       printf("%i",(int)(maksimum/pow(10,k)));
       maksimum%=(int)(pow(10,k));
       while(maksimum!=0 && minimum!=0){
           if (maksimum%10==minimum%10)printf("%i%i",maksimum%10,minimum%10);
           else printf("%i",max(maksimum%10,minimum%10));
           maksimum/=10;
           minimum/=10;
           
       }
    }
    else{
      while(maksimum!=0 && minimum!=0){
           if (maksimum%10==minimum%10)printf("%i%i",maksimum%10,minimum%10);
           else printf("%i",max(maksimum%10,minimum%10));
           maksimum/=10;
           minimum/=10;
           
       }  
    }
    
    

    return 0;
}